# SendPoll - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests.send.polls / SendPoll

# SendPoll

(common) `sealed class SendPoll : SendMessageRequest<ContentMessage<PollContent>>, ReplyingMarkupSendMessageRequest<ContentMessage<PollContent>>` (source)

### Properties

(common)

#### closeInfo

`abstract val closeInfo: ScheduledCloseInfo?`

(common)

#### isAnonymous

`abstract val isAnonymous: Boolean`

(common)

#### isClosed

`abstract val isClosed: Boolean`

(common)

#### options

`abstract val options: List<String>`

(common)

#### question

`abstract val question: String`

(common)

#### resultDeserializer

`open val resultDeserializer: DeserializationStrategy<ContentMessage<PollContent>>`

(common)

#### type

`abstract val type: String`

### Functions

(common)

#### method

`open fun method(): String`

### Inheritors

(common)

#### SendQuizPoll

`data class SendQuizPoll : SendPoll, CaptionedOutput, ExplainedOutput`

(common)

#### SendRegularPoll

`data class SendRegularPoll : SendPoll`